Finish POS registration
curl --request POST \
--url https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"organization_id": "<string>",
"computer_id": "<string>",
"name": "<string>",
"status": "<string>",
"connection": {},
"api_token": "<string>"
}
}Connect offline POS devices
Finish POS registration
An approved point-of-sale computer collects its connection details and access token to start syncing the catalog. Calling it again returns the same details.
POST
/
catalog
/
pos-sync
/
registration-requests
/
{instanceRegistration}
/
complete
Finish POS registration
curl --request POST \
--url https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/catalog/pos-sync/registration-requests/{instanceRegistration}/complete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"organization_id": "<string>",
"computer_id": "<string>",
"name": "<string>",
"status": "<string>",
"connection": {},
"api_token": "<string>"
}
}POS sync device
For: Integrator
Conditions
- The caller must present the request token returned at submission as a bearer token.
- The request must be approved (a pending request is refused with 409) and not rejected (refused with 422).
- The organization’s sync topic must be provisioned; otherwise the call is refused as not ready.
- If the request is already completed, the same details are returned again, unless the device was revoked (refused) or its credentials were rotated since (refused with 409).
- Creates the broker credential and the active POS sync instance, and marks the request completed with the instance id.
- Queues a first catalogue snapshot for the organization when this is its only active device.
- If saving fails after the broker credential was created, the credential is removed again.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of the POS registration request (27-character KSUID).
Response
201 - application/json
PosSyncInstanceCredentialsResource
Items of this page.
Show child attributes
Show child attributes